%% By L_DelOff
%  Узнаём статус данных по какому-либо дню
%  status=0 - файл отсутствует
%         1 - файл скачан, но не распакован
%         2 - файл распакован, но не обработан
%         3 - файл обработан
function status=checkCatalog(y,m,d,t)
global param
if 1%param.checkCatalog.debug
    param.checkCatalog.filepathCatalog='D:\Git\earthquake\DATA\catalog.mat';
end
%% Загрузка каталога
load(param.checkCatalog.filepathCatalog);
%% Узнаём статус данных
status=0;
for i=1:length(catalog)
    if (catalog(i).y==y)&&(catalog(i).m==m)&&(catalog(i).d==d)&&(catalog(i).type==t)
        status=catalog(i).status;
    end
end
end